package com.njcn.system.service;


import com.njcn.system.pojo.param.DicParam;
import com.njcn.system.pojo.po.Dic;
import com.njcn.system.pojo.vo.DicVO;
import com.njcn.user.pojo.param.FunctionParam;
import com.njcn.user.pojo.po.Function;

import java.util.List;

/**
 * @author hany
 * @date 2022/10/18
 */
public interface IDicService {

    /**
     * 获取树
     * @return
     */
    List<DicVO> getDicTree(String code);

    /**
     * 功能描述:新增
     *
     * @param dicParam 资源参数
     */
    boolean addDic(DicParam dicParam);

    /**
     * 功能描述: 修改
     *
     * @param dicParam
     */
    boolean updateDic(DicParam.UpdateParam dicParam);

    /**
     * 功能描述:删除
     *
     * @param id
     * @return boolean
     */
    boolean deleteDic(String id);

    /**
     * 功能描述: 根据id获取菜单详情
     *
     * @param id
     */
    Dic getDicById(String id);
}
